%{?!python:%define python python}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%define origname TwistedWords

Name:           %{python}-twisted-words
Version:        0.5.0
Release:        3%{?dist}
Summary:        Twisted Words contains Instant Messaging implementations

Group:          Development/Libraries
License:        MIT
URL:            http://www.twistedmatrix.com
Source0:        http://tmrc.mit.edu/mirror/twisted/Words/0.5/TwistedWords-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  %{python}-twisted-core >= 2.5.0
BuildRequires:  %{python}-devel

Requires:       %{python}-twisted-core >= 2.5.0

# a noarch-turned-arch package should not have debuginfo
%define debug_package %{nil}

%description
Twisted is an event-based framework for internet applications.

Twisted Words contains implementations of many Instant Messaging
protocols, including IRC, Jabber, MSN, OSCAR (AIM & ICQ), TOC (AOL),
and some functionality for creating bots, inter-protocol gateways, and
a client application for many of the protocols.

In support of Jabber, Twisted Words also contains X-ish, a library for
processing XML with Twisted and Python, with support for a Pythonic DOM and
an XPath-like toolkit.

%prep
%setup -n %{origname}-%{version} -q

%build

%install
rm -rf $RPM_BUILD_ROOT
# this is a pure python package, but extending the twisted namespace from
# python-twisted-core, which is arch-specific, so it needs to go in sitearch
%{__python} setup.py install -O1 --root $RPM_BUILD_ROOT --install-purelib %{python_sitearch}

# Man pages
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1/
cp -a doc/man/*.1 $RPM_BUILD_ROOT%{_mandir}/man1/
rm -rf doc/man

%clean
rm -rf $RPM_BUILD_ROOT

%post -p %{_libexecdir}/twisted-dropin-cache

%postun -p %{_libexecdir}/twisted-dropin-cache

%files
%defattr(-,root,root,-)
%doc README LICENSE NEWS doc/*
%{_mandir}/man1/*
%{_bindir}/im

%{python_sitearch}/twisted/words/

%{python_sitearch}/twisted/plugins/twisted_words.py*

%if 0%{?fedora} >= 9
  %{python_sitearch}/Twisted_Words-%{version}-py2.5.egg-info
%endif

%changelog
* Fri Mar 07 2008 Jesse Keating <jkeating@redhat.com> - 0.5.0-3
- Handle the egg issue, drop the pyver stuff.

* Wed Feb 20 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.5.0-2
- Autorebuild for GCC 4.3

* Fri Aug 31 2007 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.5.0-1
- updated to latest version

* Wed Dec 27 2006 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.4.0-3
- BR python-devel
- include LICENSE and NEWS

* Tue Sep 26 2006 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.4.0-2
- no longer ghost .pyo files
- rebuild dropin.cache

* Wed Jun 07 2006 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.4.0-1
- new release
- remove xish dependency
- remove noarch

* Tue Aug 23 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 0.1.0-2
- disttag

* Wed Mar 16 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 0.1.0-0.1.a3
- upstream release

* Sat Mar 12 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 0.1.0-0.1.a2
- prerelease; FE versioning

* Mon Feb 07 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 0.1.0-1
- prep for split

